%define _otpdir %_libexecdir/erlang
%define _otplibdir %_otpdir/lib
%define _erldocdir %_otpdir/doc

%define Name Erlang
%define bname erlang
Name: %bname-doc
%define ver R11B
%define subver 5
Version: %ver.%subver
Release: alt1.0.M41.1
Summary: A programming language developed by Ericsson
License: EPL
Group: Documentation
URL: http://www.%bname.org
Source: otp_doc_html_%ver-%subver.tar
BuildArch: noarch
Conflicts: %bname-manual < R11B.4-alt0.1
Provides: %bname-manual = %version-%release
Packager: Led <led@altlinux.ru>

BuildRequires: symlinks

%description
%Name is a programming language developed at Ericsson Computer Science
Laboratory. %Name provides many features which are more commonly
associated with an operating system: concurrent processes, scheduling,
memory management, distribution, networking, etc.
This package contains documentation for %Name.


%prep
%setup -c


%install
install -d -m 0755 %buildroot{%_otplibdir,%_erldocdir,%_docdir/%bname-%version/lib}
cp -r doc/* %buildroot%_erldocdir/
cp -r lib/* %buildroot%_otplibdir/
cp -r erts-* %buildroot%_otpdir/
ln -sf %buildroot%_erldocdir %buildroot%_docdir/%bname-%version/tutorial
ln -sf %buildroot%_otpdir/erts-*/doc/html %buildroot%_docdir/%bname-%version/erts
for d in %buildroot%_otplibdir/*; do
    l=$(basename $d)
    mkdir %buildroot%_docdir/%bname-%version/lib/$l
    ln -sf $d/{doc,info} %buildroot%_docdir/%bname-%version/lib/$l/
done
symlinks -rscd %buildroot%_docdir/%bname-%version


%files
%dir %_docdir/%bname-%version
%_docdir/%bname-%version/*
%dir %_otpdir
%_erldocdir
%dir %_otpdir/erts-*
%_otpdir/erts-*/doc
%_otpdir/erts-*/info
%dir %_otplibdir
%dir %_otplibdir/*
%_otplibdir/*/doc
%_otplibdir/*/info


%changelog
* Sat Nov 15 2008 Led <led@altlinux.ru> R11B.5-alt1.0.M41.1
- fixed URL
- fixed symlinks in %%docdir

* Sat Jun 14 2008 Led <led@altlinux.ru> R11B.5-alt1
- fixed subdirectories packaging violation

* Thu Jul 05 2007 Led <led@altlinux.ru> R11B.5-alt0.2
- fixed libraries doc links

* Tue Jun 26 2007 Led <led@altlinux.ru> R11B.5-alt0.1
- R11B-5

* Wed Jun 06 2007 Led <led@altlinux.ru> R11B.4-alt0.1
- initial build
